package meta_programming;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.*;

import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

@Target( { PACKAGE, TYPE, ANNOTATION_TYPE, CONSTRUCTOR, FIELD,
		METHOD, PARAMETER, LOCAL_VARIABLE })
@Retention(RUNTIME)
@Inherited
public @interface FooAnnotation {
	String value();

	boolean foo() default true;
}