package meta_programming;

import java.lang.reflect.Method;

public class Sample02 {
	public static void main(String[] args)
			throws SecurityException, NoSuchMethodException {
		Class<String> clazz = String.class;

		Method method = clazz.getMethod("valueOf", int.class);
		System.out.println(method);

		try {
			method = clazz.getMethod("valueOf", System.class);
			System.out.println(method);
		} catch (NoSuchMethodException e) {
			e.printStackTrace();
		}
	}
}
