package meta_programming;

import static java.lang.annotation.ElementType.*;
import static java.lang.annotation.RetentionPolicy.*;

import java.lang.annotation.Annotation;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;
import java.lang.reflect.Method;

public class Sample16 {
	public static void main(String[] args) throws Exception {
		Method method = Foo.class.getMethod("foo", String.class,
				String.class);
		Annotation[][] parameterAnnotations = method
				.getParameterAnnotations();
		System.out.println(parameterAnnotations[0][0]);
		System.out.println(parameterAnnotations[1][0]);
	}

	public static interface Foo {
		void foo(@NotNull String bar, @Nullable String baz);
	}

	@Target( { PARAMETER })
	@Retention(RUNTIME)
	public static @interface NotNull {
	}

	@Target( { PARAMETER })
	@Retention(RUNTIME)
	public static @interface Nullable {
	}
}
