package meta_programming;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;

public class Sample23 {
	public static void main(String[] args) throws Exception {
		Method method = Foo.class.getMethod("foo");
		try {
			method.invoke(null);
		} catch (InvocationTargetException e) {
			e.printStackTrace();

			System.err.println();
			System.err.println(e.getCause().getMessage());
		}
	}

	public static class Foo {
		public static void foo() {
			throw new UnsupportedOperationException(
					"The message.");
		}
	}
}
